Get calculated bill account line items
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | ID of the account to receive calculated bill details | integer (int32) | Required |
| meterId | ID of the meter to receive calculated bill details | integer (int32) | Required |
| versionId | ID of the calculated bill distribution version | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
GenericBodylineResponse
| Property | Description | Type | |||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| calculationType | The calculation type for the line item. Either “Fixed”, “Percentage”, or “Subtotal” | string | |||||||||||||||||||||
| caption | The caption | string | |||||||||||||||||||||
| observationType | ObservationTypeChild | ||||||||||||||||||||||
|
ObservationTypeChild properties
|
|||||||||||||||||||||||
| value | The bodyline’s value | number (double) | |||||||||||||||||||||
Example Response
[
{ "calculationType": "string", "caption": "string", "observationType": { "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}, "value": 1.0
}
]